This bug has been migrated to another issue tracking site. It has been closed here and may no longer be being monitored.

If you would like to get updates for this issue, or to participate in it, you may do so at Red Hat Issue Tracker .
Bug 2020424 - [RFE] insights-client not invoked after executing remediation via RHC
Summary: [RFE] insights-client not invoked after executing remediation via RHC
Keywords:
Status: CLOSED MIGRATED
Alias: None
Product: Red Hat Hybrid Cloud Console (console.redhat.com)
Classification: Red Hat
Component: Remediations
Version: unspecified
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
: ---
Assignee: Rex White
QA Contact: jaudet
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-04 19:58 UTC by Christian Marineau
Modified: 2023-04-19 09:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-19 09:47:34 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ESSNTL-1369 0 None None None 2021-11-04 19:58:08 UTC
Red Hat Issue Tracker REMEDY-65 0 None None None 2023-04-13 18:21:57 UTC
Red Hat Issue Tracker   RHINENG-309 0 None None None 2023-04-19 09:47:31 UTC

Description Christian Marineau 2021-11-04 19:58:08 UTC
Description of problem:
Playbooks generated by remediations generally have the following structure:
  1. Fix the problems listed in the remediation.
  2. Optionally reboot the host.
  3. Execute insights-client, so that CRC has an updated understanding of the state of that host.

However, if a playbook is invoked by pressing the blue "Execute playbook" button in the Remediations UI, and if the targeted host is running RHC (as opposed to being managed by a Satellite), the final step is missing. As a result, CRC never receives an updated view of the state of the host.

Comment 4 Insights Rule Dev Team 2023-04-19 08:22:51 UTC
This bugzilla ticket has been migrated to https://issues.redhat.com/browse/RHINENG-309 for further development. Please follow the updates in that Jira ticket directly. This bugzilla ticket is marked as CLOSED. If the Jira ticket is not visible to you, please leave a comment in this bugzilla ticket.


Note You need to log in before you can comment on or make changes to this bug.